CREATE TABLE cw_cmfonts (
fid             MEDIUMINT(3) UNSIGNED NOT NULL auto_increment,
file            VARCHAR(255) NOT NULL,
fontname        VARCHAR(50) NOT NULL,
                PRIMARY KEY (fid),
                INDEX (fid,fontname)
);
CREATE TABLE cw_cmpics (
piid            MEDIUMINT(3) UNSIGNED NOT NULL auto_increment,
category        VARCHAR(100) NOT NULL,
file            VARCHAR(50) NOT NULL,
type            TINYINT(1) UNSIGNED NOT NULL,
width           MEDIUMINT(3) UNSIGNED NOT NULL,
height          MEDIUMINT(3) UNSIGNED NOT NULL,
                PRIMARY KEY (piid),
                INDEX (piid,category)
);
CREATE TABLE cw_settings (
header          TEXT,
footer          TEXT,
invoice         TEXT
);
CREATE TABLE cw_agencies (
aid             MEDIUMINT(4) UNSIGNED NOT NULL auto_increment,
email           VARCHAR(255) NOT NULL,
password        VARCHAR(8) NOT NULL,
agency          VARCHAR(100) NOT NULL,
address         VARCHAR(255) NOT NULL,
city            VARCHAR(30) NOT NULL,
state           VARCHAR(30) NOT NULL,
zip             VARCHAR(12) NOT NULL,
phone           VARCHAR(20) NOT NULL,
URL             VARCHAR(255),
country         MEDIUMINT(3),
status          TINYINT(1),
price           FLOAT(3,2) UNSIGNED,
lastdate        DATETIME,
lastsip         VARCHAR(15),
lastuip         VARCHAR(15),
                PRIMARY KEY (aid),
                INDEX (aid,email,status),
                INDEX (agency),
                INDEX(address),
                INDEX(city),
                INDEX(state),
                INDEX(zip),
                INDEX(phone)
);
CREATE TABLE cw_companies (
cid             MEDIUMINT(6) UNSIGNED NOT NULL auto_increment,
aid             MEDIUMINT(4) UNSIGNED NOT NULL,
email           VARCHAR(255),
company         VARCHAR(100) NOT NULL,
address         VARCHAR(255) NOT NULL,
city            VARCHAR(30) NOT NULL,
state           VARCHAR(30) NOT NULL,
zip             VARCHAR(12) NOT NULL,
phone           VARCHAR(20) NOT NULL,
URL             VARCHAR(255),
country         MEDIUMINT(3),
                PRIMARY KEY (cid),
                INDEX (cid,aid),
                INDEX (company),
                INDEX (address),
                INDEX (city),
                INDEX (state),
                INDEX (zip),
                INDEX (country),
                INDEX (phone)
);
CREATE TABLE cw_coupons (
cpid            MEDIUMINT(8) UNSIGNED NOT NULL auto_increment,
cid             MEDIUMINT(6) UNSIGNED NOT NULL,
caid            MEDIUMINT(3) UNSIGNED NOT NULL,
title           VARCHAR(255) NOT NULL,
limits          VARCHAR(255),
qty             MEDIUMINT(8),
taken           MEDIUMINT(8),
width           MEDIUMINT(3),
height          MEDIUMINT(3),
paysts          TINYINT(1),
sdate           DATE,
edate           DATE,
descr           TEXT,
                PRIMARY KEY (cpid),
                INDEX (cpid,cid,caid),
                INDEX (title,taken,sdate,edate)
);
CREATE TABLE cw_stats (
epid            BIGINT(11) UNSIGNED NOT NULL auto_increment,
cpid            MEDIUMINT(8) UNSIGNED NOT NULL,
sdate           DATE,
hits            MEDIUMINT(8) UNSIGNED,
                PRIMARY KEY (epid),
                INDEX (epid,cpid,sdate)
);
CREATE TABLE cw_countries (
coid            MEDIUMINT(3) UNSIGNED NOT NULL auto_increment,
country         VARCHAR(50) NOT NULL,
                PRIMARY KEY (coid),
                INDEX (coid)
);
CREATE TABLE cw_categories (
caid            MEDIUMINT(3) UNSIGNED NOT NULL auto_increment,
category        VARCHAR(50) NOT NULL,
descr           TEXT,
                PRIMARY KEY (caid),
                INDEX (caid,category)
);
CREATE TABLE cw_visitors (
vid             MEDIUMINT(6) UNSIGNED NOT NULL auto_increment,
email           VARCHAR(50) NOT NULL,
name            VARCHAR(50) NOT NULL,
                PRIMARY KEY (vid),
                INDEX (vid,email)
);
CREATE TABLE cw_books (
bid             MEDIUMINT(8) UNSIGNED NOT NULL auto_increment,
vid             MEDIUMINT(6) UNSIGNED NOT NULL,
cpid            MEDIUMINT(8) UNSIGNED NOT NULL,
indx            MEDIUMINT(8) UNSIGNED NOT NULL,
                PRIMARY KEY (bid),
                INDEX (bid,vid,cpid)
);

insert into cw_countries (country) values ('Afghanistan');
insert into cw_countries (country) values ('Albania');
insert into cw_countries (country) values ('Algeria');
insert into cw_countries (country) values ('American Samoa');
insert into cw_countries (country) values ('Andorra');
insert into cw_countries (country) values ('Angola');
insert into cw_countries (country) values ('Anguilla');
insert into cw_countries (country) values ('Antarctica');
insert into cw_countries (country) values ('Antigua and Barbuda');
insert into cw_countries (country) values ('Argentina');
insert into cw_countries (country) values ('Armenia');
insert into cw_countries (country) values ('Aruba');
insert into cw_countries (country) values ('Ascension Island');
insert into cw_countries (country) values ('Australia');
insert into cw_countries (country) values ('Austria');
insert into cw_countries (country) values ('Azerbaijan');
insert into cw_countries (country) values ('Bahamas');
insert into cw_countries (country) values ('Bahrain');
insert into cw_countries (country) values ('Bangladesh');
insert into cw_countries (country) values ('Barbados');
insert into cw_countries (country) values ('Belarus');
insert into cw_countries (country) values ('Belgium');
insert into cw_countries (country) values ('Belize');
insert into cw_countries (country) values ('Benin');
insert into cw_countries (country) values ('Bermuda');
insert into cw_countries (country) values ('Bhutan');
insert into cw_countries (country) values ('Bolivia');
insert into cw_countries (country) values ('Bosnia and Herzegowina');
insert into cw_countries (country) values ('Botswana');
insert into cw_countries (country) values ('Bouvet Island');
insert into cw_countries (country) values ('Brazil');
insert into cw_countries (country) values ('British Indian Ocean Territory');
insert into cw_countries (country) values ('Brunei Darussalam');
insert into cw_countries (country) values ('Bulgaria');
insert into cw_countries (country) values ('Burkina Faso');
insert into cw_countries (country) values ('Burundi');
insert into cw_countries (country) values ('Cambodia');
insert into cw_countries (country) values ('Cameroon');
insert into cw_countries (country) values ('Canada');
insert into cw_countries (country) values ('Cape Verde');
insert into cw_countries (country) values ('Cayman Islands');
insert into cw_countries (country) values ('Central African Republic');
insert into cw_countries (country) values ('Chad');
insert into cw_countries (country) values ('Chile');
insert into cw_countries (country) values ('China');
insert into cw_countries (country) values ('Christmas Island');
insert into cw_countries (country) values ('Cocos Island');
insert into cw_countries (country) values ('Colombia');
insert into cw_countries (country) values ('Comoros');
insert into cw_countries (country) values ('Congo');
insert into cw_countries (country) values ('Congo');
insert into cw_countries (country) values ('Cook Islands');
insert into cw_countries (country) values ('Costa Rica');
insert into cw_countries (country) values ('Cote dIvore');
insert into cw_countries (country) values ('Croatia');
insert into cw_countries (country) values ('Cuba');
insert into cw_countries (country) values ('Cyprus');
insert into cw_countries (country) values ('Czech Republic');
insert into cw_countries (country) values ('Denmark');
insert into cw_countries (country) values ('Djibouti');
insert into cw_countries (country) values ('Dominica');
insert into cw_countries (country) values ('Dominican Republic');
insert into cw_countries (country) values ('East Timor');
insert into cw_countries (country) values ('Ecuador');
insert into cw_countries (country) values ('Egypt');
insert into cw_countries (country) values ('El Salvador');
insert into cw_countries (country) values ('Equatorial Guinea');
insert into cw_countries (country) values ('Eritrea');
insert into cw_countries (country) values ('Estonia');
insert into cw_countries (country) values ('Ethiopia');
insert into cw_countries (country) values ('Faroe Islands');
insert into cw_countries (country) values ('Fiji');
insert into cw_countries (country) values ('Finland');
insert into cw_countries (country) values ('Folkland Islands');
insert into cw_countries (country) values ('France');
insert into cw_countries (country) values ('France Metropolitan');
insert into cw_countries (country) values ('French Guiana');
insert into cw_countries (country) values ('French Polynesia');
insert into cw_countries (country) values ('French Southern Territories');
insert into cw_countries (country) values ('Gabon');
insert into cw_countries (country) values ('Gambia');
insert into cw_countries (country) values ('Georgia');
insert into cw_countries (country) values ('Germany');
insert into cw_countries (country) values ('Ghana');
insert into cw_countries (country) values ('Gibraltar');
insert into cw_countries (country) values ('Greece');
insert into cw_countries (country) values ('Greenland');
insert into cw_countries (country) values ('Grenada');
insert into cw_countries (country) values ('Guadelope');
insert into cw_countries (country) values ('Guam');
insert into cw_countries (country) values ('Guatemala');
insert into cw_countries (country) values ('Guernsey');
insert into cw_countries (country) values ('Guinea');
insert into cw_countries (country) values ('Guinea-Bissau');
insert into cw_countries (country) values ('Guyana');
insert into cw_countries (country) values ('Haiti');
insert into cw_countries (country) values ('Heard and McDonald Islands');
insert into cw_countries (country) values ('Holy See');
insert into cw_countries (country) values ('Honduras');
insert into cw_countries (country) values ('Hong Kong');
insert into cw_countries (country) values ('Hungary');
insert into cw_countries (country) values ('Iceland');
insert into cw_countries (country) values ('India');
insert into cw_countries (country) values ('Indonesia');
insert into cw_countries (country) values ('Iran');
insert into cw_countries (country) values ('Iraq');
insert into cw_countries (country) values ('Ireland');
insert into cw_countries (country) values ('Isle of Man');
insert into cw_countries (country) values ('Israel');
insert into cw_countries (country) values ('Italy');
insert into cw_countries (country) values ('Jamaica');
insert into cw_countries (country) values ('Japan');
insert into cw_countries (country) values ('Jersey');
insert into cw_countries (country) values ('Jordan');
insert into cw_countries (country) values ('Kazakhstan');
insert into cw_countries (country) values ('Kenya');
insert into cw_countries (country) values ('Kiribati');
insert into cw_countries (country) values ('Korea');
insert into cw_countries (country) values ('Kuwait');
insert into cw_countries (country) values ('Kyrgystan');
insert into cw_countries (country) values ('Laos');
insert into cw_countries (country) values ('Latvia');
insert into cw_countries (country) values ('Lebanon');
insert into cw_countries (country) values ('Lesotho');
insert into cw_countries (country) values ('Liberia');
insert into cw_countries (country) values ('Libyan Arab Jamahiriya');
insert into cw_countries (country) values ('Liechtenstein');
insert into cw_countries (country) values ('Lithuania');
insert into cw_countries (country) values ('Luxembourg');
insert into cw_countries (country) values ('Macau');
insert into cw_countries (country) values ('Macedonia');
insert into cw_countries (country) values ('Madagascar');
insert into cw_countries (country) values ('Malawi');
insert into cw_countries (country) values ('Malaysia');
insert into cw_countries (country) values ('Maldives');
insert into cw_countries (country) values ('Mali');
insert into cw_countries (country) values ('Malta');
insert into cw_countries (country) values ('Marshall Islands');
insert into cw_countries (country) values ('Martinique');
insert into cw_countries (country) values ('Mauritania');
insert into cw_countries (country) values ('Mauritus');
insert into cw_countries (country) values ('Mayotte');
insert into cw_countries (country) values ('Mexico');
insert into cw_countries (country) values ('Micronesia');
insert into cw_countries (country) values ('Moldova');
insert into cw_countries (country) values ('Monaco');
insert into cw_countries (country) values ('Mongolia');
insert into cw_countries (country) values ('Montserrat');
insert into cw_countries (country) values ('Morocco');
insert into cw_countries (country) values ('Mozambique');
insert into cw_countries (country) values ('Myanmar');
insert into cw_countries (country) values ('Namibia');
insert into cw_countries (country) values ('Nauru');
insert into cw_countries (country) values ('Nepal');
insert into cw_countries (country) values ('Netherlands');
insert into cw_countries (country) values ('Netherlands Antilles');
insert into cw_countries (country) values ('Neutral Zone');
insert into cw_countries (country) values ('New Caledonia');
insert into cw_countries (country) values ('New Zealand');
insert into cw_countries (country) values ('Nicaragua');
insert into cw_countries (country) values ('Niger');
insert into cw_countries (country) values ('Nigeria');
insert into cw_countries (country) values ('Niue');
insert into cw_countries (country) values ('Norfolk Island');
insert into cw_countries (country) values ('Norway');
insert into cw_countries (country) values ('Nothern Mariana Islands');
insert into cw_countries (country) values ('Oman');
insert into cw_countries (country) values ('Other');
insert into cw_countries (country) values ('Pakistan');
insert into cw_countries (country) values ('Palau');
insert into cw_countries (country) values ('Panama');
insert into cw_countries (country) values ('Papua New Guinea');
insert into cw_countries (country) values ('Paraguay');
insert into cw_countries (country) values ('Peru');
insert into cw_countries (country) values ('Philippines');
insert into cw_countries (country) values ('Pitcairn');
insert into cw_countries (country) values ('Poland');
insert into cw_countries (country) values ('Portugal');
insert into cw_countries (country) values ('Puerto Rico');
insert into cw_countries (country) values ('Qatar');
insert into cw_countries (country) values ('Reunion');
insert into cw_countries (country) values ('Romania');
insert into cw_countries (country) values ('Russia');
insert into cw_countries (country) values ('Rwanda');
insert into cw_countries (country) values ('Saint Kitts and Nevis');
insert into cw_countries (country) values ('Saint Lucia');
insert into cw_countries (country) values ('Saint Vincent and the Grenadines');
insert into cw_countries (country) values ('Samoa');
insert into cw_countries (country) values ('San Marino');
insert into cw_countries (country) values ('Sao Tome and Principe');
insert into cw_countries (country) values ('Saudi Arabia');
insert into cw_countries (country) values ('Senegal');
insert into cw_countries (country) values ('Seychelles');
insert into cw_countries (country) values ('Sierra Leone');
insert into cw_countries (country) values ('Singapore');
insert into cw_countries (country) values ('Slovakia');
insert into cw_countries (country) values ('Slovenia');
insert into cw_countries (country) values ('Solomon Islands');
insert into cw_countries (country) values ('Somalia');
insert into cw_countries (country) values ('South Africa');
insert into cw_countries (country) values ('South Georgia and the South Sandwich Islands');
insert into cw_countries (country) values ('Spain');
insert into cw_countries (country) values ('Sri Lanka');
insert into cw_countries (country) values ('St Helena');
insert into cw_countries (country) values ('St. Pierre and Miquelon');
insert into cw_countries (country) values ('Sudan');
insert into cw_countries (country) values ('Surinam');
insert into cw_countries (country) values ('Svalbard and Jan Mayen Islands');
insert into cw_countries (country) values ('Swaziland');
insert into cw_countries (country) values ('Sweden');
insert into cw_countries (country) values ('Switzerland');
insert into cw_countries (country) values ('Syrian Arab Republic');
insert into cw_countries (country) values ('Taiwan');
insert into cw_countries (country) values ('Tajikistan');
insert into cw_countries (country) values ('Tanzania');
insert into cw_countries (country) values ('Thailand');
insert into cw_countries (country) values ('The Turks and Caicos Islands');
insert into cw_countries (country) values ('Togo');
insert into cw_countries (country) values ('Tokelau');
insert into cw_countries (country) values ('Tongo');
insert into cw_countries (country) values ('Trinidad and Tobago');
insert into cw_countries (country) values ('Tunisia');
insert into cw_countries (country) values ('Turkey');
insert into cw_countries (country) values ('Turkmenistan');
insert into cw_countries (country) values ('Tuvalu');
insert into cw_countries (country) values ('USSR');
insert into cw_countries (country) values ('Uganda');
insert into cw_countries (country) values ('Ukraine');
insert into cw_countries (country) values ('United Arab Emirates');
insert into cw_countries (country) values ('United Kingdom');
insert into cw_countries (country) values ('United States');
insert into cw_countries (country) values ('United States Minor Outflying Islands');
insert into cw_countries (country) values ('Uruguay');
insert into cw_countries (country) values ('Uzbekistan');
insert into cw_countries (country) values ('Vanuatu');
insert into cw_countries (country) values ('Venezuela');
insert into cw_countries (country) values ('Vietnam');
insert into cw_countries (country) values ('Virgin Islands British');
insert into cw_countries (country) values ('Virgin Islands US');
insert into cw_countries (country) values ('Western Sahara');
insert into cw_countries (country) values ('Yemen');
insert into cw_countries (country) values ('Yugoslavia');
insert into cw_countries (country) values ('Zaire');
insert into cw_countries (country) values ('Zambia');
insert into cw_countries (country) values ('Zimbabwe');
INSERT INTO cw_settings (header,footer,invoice) VALUES ('CouponWorld.

__________________________________________
','__________________________________________

Powered by CouponWorld
Copyright 1999-2002 T&D Systems, Inc
http://www.td-systems.com
info@td-systems.com
','Invoice #$cpid
-----------------------------------------------------------
Advertising agency: $adagency
Address: $adaddress, $adcity, $adzip, $adstate, $adcountry
Coupon for company: $company
-----------------------------------------------------------
Service: Posting coupon online
Starting date: $data{sdate}/$data{smonth}/$data{syear}
Expiration date: $data{edate}/$data{emonth}/$data{eyear}
Cost per day: $realpayperday $currency
Taxes: $tax $currency
Total cost: $payment $currency

-----------------------------------------------------------
Here is your company and payment info
');

