#!/usr/bin/perl
use Time::Local;
use Mysql;

#    CouponWorld SQL v1.3 - coupons management software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<cworld.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}
if ($cclib)
{
	$useline="use $cclib;";
	eval $useline;
}
$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);

if ($ENV{CONTENT_LENGTH}>0){sysread(STDIN,$data,$ENV{CONTENT_LENGTH});}
else {($data=$ENV{QUERY_STRING});}
@data=split("&",$data);
foreach (@data)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9a-fA-F]{2})/pack('C',hex($1))/eg;
		$data{$field}=$value;
	}
}
$destination=$data{method};
$destination="geninfo" unless ($destination);

$sth=$dbh->query("LOCK TABLES cw_agencies READ") if ($locktables);
$sth=$dbh->query("SELECT aid,status,price FROM cw_agencies WHERE (email='$data{name}' AND password='$data{password}')");
($aid,$status,$realpayperday)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$data{realpayperday}=$realpayperday;
if ($destination eq "ccpayment" && $aid && $status==1)
{
	&closedb;
	&$destination(%data);
}
&$destination if ($aid && $status==1);
if (!$aid)
{
	$errauth="Error: Wrong login name or password";
}
elsif ($status==2)
{
	$errauth="Error: Your account is temporary disabled";
}
else
{
	$errauth="Error: Your account is not approved yet. Try again later";
}
&closedb;
&methods;
open (F,"<$cwpath/template/errauth.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;

sub geninfo
{
$selected{geninfo}="selected";
$sth=$dbh->query("LOCK TABLES cw_agencies READ") if ($locktables);
$sth=$dbh->query("SELECT agency,address,city,state,zip,phone,URL,country FROM cw_agencies WHERE aid=$aid");
($agency,$address,$city,$state,$zip,$phone,$url,$country)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES cw_countries READ") if ($locktables);
$sth=$dbh->query("SELECT * FROM cw_countries ORDER BY country");
while(($coid,$coname)=$sth->fetchrow)
{
	if ($coid==$country){$countries.="<option value=\"$coid\" selected>$coname</option>\n";}
	else{$countries.="<option value=\"$coid\">$coname</option>\n";}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
$agency=~s/APOSTROPHH/'/g;
$address=~s/APOSTROPHH/'/g;
&closedb;
&methods;
open (F,"<$cwpath/template/geninfo.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub ch_geninfo
{
if (!$data{address})
{
	$error.="Address field cant be empty<br>";
	$errflag=1;
}
if (!$data{city})
{
	$error.="City field cant be empty<br>";
	$errflag=1;
}
if (!$data{state})
{
	$error.="State / Province field cant be empty<br>";
	$errflag=1;
}
if (!$data{zip})
{
	$error.="Zip / Postal code field cant be empty<br>";
	$errflag=1;
}
if (!$data{country})
{
	$error.="Country field is empty, possible problem with DB connection. Please contact <a href=\"mailto:$email\">administrator</a><br>";
	$errflag=1;
}
if (!$data{phone})
{
	$error.="Phone field cant be empty<br>";
	$errflag=1;
}
&geninfo if ($errflag);
$data{address}=~s/'/APOSTROPHH/g;
$sth=$dbh->query("LOCK TABLES cw_agencies WRITE") if ($locktables);
$sth=$dbh->query("UPDATE cw_agencies SET address='$data{address}',city='$data{city}',state='$data{state}',zip='$data{zip}',phone='$data{phone}',URL='$data{url}',country=$data{country} WHERE aid=$aid");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&geninfo;
}
sub company
{
$selected{company}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT cid,company FROM cw_companies WHERE aid=$aid ORDER BY company");
while(($cid,$company)=$sth->fetchrow)
{
	$company=~s/APOSTROPHH/'/g;
	if ($cid==$data{company})
	{
		$companies.="<option value=\"$cid\" selected>$company</option>\n";
	}
	else
	{
		$companies.="<option value=\"$cid\">$company</option>\n";
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$data{company}="";
$sth=$dbh->query("LOCK TABLES cw_countries READ") if ($locktables);
$sth=$dbh->query("SELECT * FROM cw_countries ORDER BY country");
while(($coid,$coname)=$sth->fetchrow)
{
	if ($coid==$data{country})
	{
		$countries.="<option value=\"$coid\" selected>$coname</option>\n";
	}
	else
	{
		$countries.="<option value=\"$coid\">$coname</option>\n";
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
open (F,"<$cwpath/template/company.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub add_company
{
if (!$data{company})
{
	$error.="Company field cant be empty<br>";
	$errflag=1;
}
if (!$data{address})
{
	$error.="Address field cant be empty<br>";
	$errflag=1;
}
if (!$data{city})
{
	$error.="City field cant be empty<br>";
	$errflag=1;
}
if (!$data{state})
{
	$error.="State / Province field cant be empty<br>";
	$errflag=1;
}
if (!$data{zip})
{
	$error.="Zip / Postal code field cant be empty<br>";
	$errflag=1;
}
if (!$data{country})
{
	$error.="Country field is empty, possible problem with DB connection. Please contact <a href=\"mailto:$email\">administrator</a><br>";
	$errflag=1;
}
if (!$data{phone})
{
	$error.="Phone field cant be empty<br>";
	$errflag=1;
}
&company if ($errflag);
$data{company}=~s/'/APOSTROPHH/g;
$data{address}=~s/'/APOSTROPHH/g;
$sth=$dbh->query("LOCK TABLES cw_companies WRITE") if ($locktables);
$sth=$dbh->query("INSERT INTO cw_companies (email,company,address,city,state,zip,phone,URL,country,aid) VALUES ('$data{email}','$data{company}','$data{address}','$data{city}','$data{state}','$data{zip}','$data{phone}','$data{url}',$data{country},$aid)");
$sth=$dbh->query("SELECT LAST_INSERT_ID()");
$cid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($cid)
{
	$error="Cant register company data with database. Please contact <a href=\"mailto:$email\">administrator</a><br>";
	$data{company}=~s/APOSTROPHH/'/g;
	$data{address}=~s/APOSTROPHH/'/g;
	&company;
}
$data{company}=$data{address}=$data{city}=$data{state}=$data{zip}=$data{country}=$data{phone}=$data{url}=$data{email}="";
&company;
}
sub rem_company
{
if ($data{company})
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT COUNT(*) FROM cw_coupons WHERE cid=$data{company}");
	$total=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	&closedb;
	&methods;
	$selected{company}="selected";
	open (F,"<$cwpath/template/remcompany.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$data{company}="";
&company;
}
sub rem_company_c
{
if ($data{company})
{
	$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
	$sth=$dbh->query("SELECT cid FROM cw_companies WHERE (cid=$data{company} AND aid=$aid)");
	$cid=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	if ($cid)
	{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT cpid FROM cw_coupons WHERE cid=$data{company}");
	@cpid=$sth->fetchcol;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$sth=$dbh->query("LOCK TABLES cw_coupons WRITE") if ($locktables);
	$sth=$dbh->query("DELETE FROM cw_coupons WHERE cid=$data{company}");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$sth=$dbh->query("LOCK TABLES cw_stats WRITE,cw_books WRITE") if ($locktables);
	foreach(@cpid)
	{
		$sth=$dbh->query("DELETE FROM cw_stats WHERE cpid=$_");
		$sth=$dbh->query("DELETE FROM cw_books WHERE cpid=$_");
		unlink("$cwpath/coupons/$_.jpg");
		unlink("$cwpath/coupons/$_.gif");
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$sth=$dbh->query("LOCK TABLES cw_companies WRITE") if ($locktables);
	$sth=$dbh->query("DELETE FROM cw_companies WHERE cid=$data{company}");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	}
}
$data{company}="";
&company;
}
sub info_company
{
if ($data{company})
{
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company,address,city,state,zip,phone,URL,email,country FROM cw_companies WHERE (aid=$aid AND cid=$data{company})");
($company,$address,$city,$state,$zip,$phone,$url,$uemail,$country)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES cw_countries READ") if ($locktables);
$sth=$dbh->query("SELECT country FROM cw_countries WHERE coid=$country");
$country=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($company)
{
	$company=~s/APOSTROPHH/'/g;
	$address=~s/APOSTROPHH/'/g;
	($day,$month,$date,$time,$year)=split(" ",scalar localtime);	
	$month=$cal{$month};
	$today="$year-$month-$date";
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT COUNT(*) FROM cw_coupons WHERE (cid=$data{company} AND paysts=1)");
	$paid=$sth->fetchrow;
	$sth=$dbh->query("SELECT COUNT(*) FROM cw_coupons WHERE (cid=$data{company} AND paysts=0)");
	$unpaid=$sth->fetchrow;
	$sth=$dbh->query("SELECT COUNT(*) FROM cw_coupons WHERE (cid=$data{company} AND edate<'$today')");
	$expired=$sth->fetchrow;
	$sth=$dbh->query("SELECT COUNT(*) FROM cw_coupons WHERE (cid=$data{company} AND edate>='$today' AND sdate<='$today')");
	$active=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$total=$paid+$unpaid;
	$future=$total-$expired-$active;
$info=qq~<tr><td width="580">
<font size=3 color="#105A31"><b>COMPANY INFO</b></font>
<form action="$cgi/cwmember.pl" method=post>
<input type=hidden name=name value="$data{name}"><input type=hidden name=password value="$data{password}"><input type=hidden name=method value="edit_company"><input type=hidden name=cid value="$data{company}">
<table border="0" width="100%" cellpadding="0" bgcolor="#105A31">
<tr><td width="30%"><font color=white size=2><b>COMPANY:</b></font></td><td width="70%"><font size=2 color=white>$company</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>ADDRESS:</b></font></td><td width="70%"><font size=2 color=white>$address</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>CITY:</b></font></td><td width="70%"><font size=2 color=white>$city</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>STATE:</b></font></td><td width="70%"><font size=2 color=white>$state</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>ZIP:</b></font></td><td width="70%"><font size=2 color=white>$zip</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>COUNTRY:</b></font></td><td width="70%"><font size=2 color=white>$country</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>PHONE:</b></font></td><td width="70%"><font size=2 color=white>$phone</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>URL:</b></font></td><td width="70%"><font size=2 color=white>$url</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>EMAIL:</b></font></td><td width="70%"><font size=2 color=white>$uemail</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>TOTAL COUPONS:</b></font></td><td width="70%"><font size=2 color=white>$total</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>PAID COUPONS:</b></font></td><td width="70%"><font size=2 color=white>$paid</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>UNPAID COUPONS:</b></font></td><td width="70%"><font size=2 color=white>$unpaid</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>ACTIVE COUPONS:</b></font></td><td width="70%"><font size=2 color=white>$active</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>EXPIRED COUPONS:</b></font></td><td width="70%"><font size=2 color=white>$expired</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>FUTURE COUPONS:</b></font></td><td width="70%"><font size=2 color=white>$future</font></td></tr>
<tr><td width="30%"><font color=white size=2><b>&nbsp;</b></font></td><td width="70%"><font size=2 color=white><input type=submit value="Edit"></font></td></tr>
</table>
</form>
</td></tr>
~;
}
}
&company;
}
sub edit_company
{
$selected{company}="selected";
if ($data{cid})
{
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company,address,city,state,zip,phone,URL,email,country FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
($company,$address,$city,$state,$zip,$phone,$url,$uemail,$country)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("SELECT * FROM cw_countries ORDER BY country");
while(($coid,$coname)=$sth->fetchrow)
{
	if ($coid==$data{country})
	{
		$countries.="<option value=\"$coid\" selected>$coname</option>\n";
	}
	else
	{
		$countries.="<option value=\"$coid\">$coname</option>\n";
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
&closedb;
&methods;
open (F,"<$cwpath/template/editcompany.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub edit_company_c
{
if ($data{cid})
{
if (!$data{company})
{
	$error.="Company field cant be empty<br>";
	$errflag=1;
}
if (!$data{address})
{
	$error.="Address field cant be empty<br>";
	$errflag=1;
}
if (!$data{city})
{
	$error.="City field cant be empty<br>";
	$errflag=1;
}
if (!$data{state})
{
	$error.="State / Province field cant be empty<br>";
	$errflag=1;
}
if (!$data{zip})
{
	$error.="Zip / Postal code field cant be empty<br>";
	$errflag=1;
}
if (!$data{country})
{
	$error.="Country field is empty, possible problem with DB connection. Please contact <a href=\"mailto:$email\">administrator</a><br>";
	$errflag=1;
}
if (!$data{phone})
{
	$error.="Phone field cant be empty<br>";
	$errflag=1;
}
&edit_company if ($errflag);
$data{company}=~s/'/APOSTROPHH/g;
$data{address}=~s/'/APOSTROPHH/g;
$sth=$dbh->query("LOCK TABLES cw_companies WRITE") if ($locktables);
$sth=$dbh->query("UPDATE cw_companies SET email='$data{email}',company='$data{company}',address='$data{address}',city='$data{city}',state='$data{state}',zip='$data{zip}',phone='$data{phone}',URL='$data{url}',country=$data{country} WHERE (aid=$aid AND cid=$data{cid})");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&edit_company;
}
sub add_coupon
{
$selected{add_coupon}="selected";
if ($payperday)
{
$addition=qq~<tr><td><font size=2 color=white>Price per day:</font></td><td><font size=2 color=white>$realpayperday $currency</font></td></tr>~;
}
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT cid,company FROM cw_companies WHERE aid=$aid ORDER BY company");
while(($cid,$company)=$sth->fetchrow)
{
	$company=~s/APOSTROPHH/'/g;
	if ($cid==$data{company}){$companies.="<option value=\"$cid\" selected>$company</option>\n";}
	else{$companies.="<option value=\"$cid\">$company</option>\n";}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES cw_categories READ") if ($locktables);
$sth=$dbh->query("SELECT caid,category FROM cw_categories ORDER BY category");
while(($caid,$category)=$sth->fetchrow)
{
	$category=~s/APOSTROPHH/'/g;
	if ($caid==$data{category}){$categories.="<option value=\"$caid\" selected>$category</option>\n";}
	else{$categories.="<option value=\"$caid\">$category</option>\n";}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$data{sdate}=$date unless ($data{sdate});
$data{smonth}=$cal{$month} unless ($data{smonth});
$data{syear}=$year unless ($data{syear});
$data{edate}=$date unless ($data{edate});
$data{emonth}=$cal{$month} unless ($data{emonth});
$data{eyear}=$year unless ($data{eyear});
$i=1;
while ($i<32)
{
	$i_o=$i;
	$i_o="0$i_o" if (length($i_o)==1);
	if ($i==$data{edate}){$edates.="<option value=\"$i_o\" selected>$i_o</option>\n";}
	else{$edates.="<option value=\"$i_o\">$i_o</option>\n";}
	if ($i==$data{sdate}){$sdates.="<option value=\"$i_o\" selected>$i_o</option>\n";}
	else{$sdates.="<option value=\"$i_o\">$i_o</option>\n";}
	$i++;
}
$i=1;
while ($i<13)
{
	$i_o=$i;
	$i_o="0$i_o" if (length($i_o)==1);
	if ($i==$data{emonth}){$emonthes.="<option value=\"$i_o\" selected>$cal[$i]</option>\n";}
	else{$emonthes.="<option value=\"$i_o\">$cal[$i]</option>\n";}
	if ($i==$data{smonth}){$smonthes.="<option value=\"$i_o\" selected>$cal[$i]</option>\n";}
	else{$smonthes.="<option value=\"$i_o\">$cal[$i]</option>\n";}
	$i++;
}
$i=$year;
while ($i<$year+10)
{
	if ($i==$data{eyear}){$eyears.="<option value=\"$i\" selected>$i</option>\n";}
	else{$eyears.="<option value=\"$i\">$i</option>\n";}
	if ($i==$data{syear}){$syears.="<option value=\"$i\" selected>$i</option>\n";}
	else{$syears.="<option value=\"$i\">$i</option>\n";}
	$i++;
}
unless ($usecm)
{
$coup_size=qq~
<tr><td><font size=2 color=white>Coupon width (pix)</font></td><td><input type="text" name="cwidth" value="$data{cwidth}" size=63></td></tr>
<tr><td><font size=2 color=white>Coupon height (pix)</font></td><td><input type="text" name="cheight" value="$data{cheight}" size=63></td></tr>
~;
}
&closedb;
&methods;
open (F,"<$cwpath/template/addcoupon.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub add_coupon_c
{
$selected{add_coupon}="selected";
$data{desc}=~s/\r//g;
$data{cwidth}=~s/\D+//g;
$data{cheight}=~s/\D+//g;
$data{quantity}=~s/\D+//g;
$data{category}=~s/\D+//g;
$data{company}=~s/\D+//g;
$data{sdate}=~s/\D+//g;
$data{smonth}=~s/\D+//g;
$data{syear}=~s/\D+//g;
$data{edate}=~s/\D+//g;
$data{emonth}=~s/\D+//g;
$data{eyear}=~s/\D+//g;
$sdatec=$data{syear}.$data{smonth}.$data{sdate};
$edatec=$data{eyear}.$data{emonth}.$data{edate};
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$cdate="$year$cal{$month}$date";
if (!$data{category})
{
	$error.="No category choosen<br>";
	$errflag=1;
}
if (!$data{company})
{
	$error.="No company choosen<br>";
	$errflag=1;
}
if (!$data{title})
{
	$error.="Title field cant be empty<br>";
	$errflag=1;
}
unless ($usecm)
{
if (!$data{cwidth} || $data{cwidth}<10 || $data{cwidth}>1000)
{
	$error.="Illegal value for coupon width<br>";
	$errflag=1;
}
if (!$data{cheight} || $data{cheight}<10 || $data{cheight}>1000)
{
	$error.="Illegal value for coupon height<br>";
	$errflag=1;
}
}
else
{
	$data{cwidth}=$data{cheight}=100;
}
if (!$data{quantity} || $data{quantity}<0 || $data{quantity}>99999999)
{
	$error.="Illegal value for quantity (value should be from 0 to 99999999)<br>";
	$errflag=1;
}
if (!$data{sdate} || !$data{smonth} || !$data{syear})
{
	$error.="Start date is incorrect<br>";
	$errflag=1;
}
if (!$data{edate} || !$data{emonth} || !$data{eyear})
{
	$error.="End date is incorrect<br>";
	$errflag=1;
}
if ($edatec<$sdatec)
{
	$error.="Start date shouldnt be greater than end date<br>";
	$errflag=1;
}
if ($sdatec<$cdate)
{
	$error.="Current date shouldnt be greater than start date<br>";
	$errflag=1;
}
&add_coupon if ($errflag);
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT cid,company FROM cw_companies WHERE (cid=$data{company} AND aid=$aid)");
($cid,$company)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$company=~s/APOSTROPHH/'/g;
if (!$cid)
{
	$error.="Unknown company choosen<br>";
	$errflag=1;
}
&add_coupon if ($errflag);
$data{title}=~s/'/APOSTROPHH/g;
$data{limits}=~s/'/APOSTROPHH/g;
$data{desc}=~s/'/APOSTROPHH/g;
$sth=$dbh->query("LOCK TABLES cw_coupons WRITE") if ($locktables);
$sth=$dbh->query("INSERT INTO cw_coupons (cid,caid,title,limits,qty,taken,width,height,paysts,sdate,edate,descr) VALUES ($data{company},$data{category},'$data{title}','$data{limits}',$data{quantity},0,$data{cwidth},$data{cheight},0,'$data{syear}-$data{smonth}-$data{sdate}','$data{eyear}-$data{emonth}-$data{edate}','$data{desc}')");
$sth=$dbh->query("SELECT LAST_INSERT_ID()");
$cpid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($cpid)
{
	$error="Cant register coupon data with database. Please contact <a href=\"mailto:$email\">administrator</a><br>";
	$data{title}=~s/APOSTROPHH/'/g;
	$data{limits}=~s/APOSTROPHH/'/g;
	$data{desc}=~s/APOSTROPHH/'/g;
	&add_coupon;
}
if ($payperday)
{
	$payment=(timelocal(0,0,0,$data{edate},$data{emonth}-1,$data{eyear})-timelocal(0,0,0,$data{sdate},$data{smonth}-1,$data{syear}))/86400*$realpayperday+$realpayperday;
	$payment=sprintf("%.2f",$payment);
	$taxpay=$payment/100*$tax;
	$taxpay=sprintf("%.2f",$taxpay);
	$total=$payment+$taxpay;
	$total=sprintf("%.2f",$total);
	$sth=$dbh->query("LOCK TABLES cw_settings READ") if ($locktables);
	$sth=$dbh->query("SELECT invoice FROM cw_settings");
	$invoice=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$invoice=~s/APOSTROPHH/'/g;
	$invoice="print MAIL qq~$invoice~;";
	$sth=$dbh->query("LOCK TABLES cw_agencies READ,cw_countries READ") if ($locktables);
	$sth=$dbh->query("SELECT email,agency,address,city,zip,state,cw_countries.country FROM cw_agencies,cw_countries WHERE (aid=$aid AND cw_agencies.country=cw_countries.coid)");
	($em,$adagency,$adaddress,$adcity,$adzip,$adstate,$adcountry)=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$adagency=~s/APOSTROPHH/'/g;
	$adaddress=~s/APOSTROPHH/'/g;
	open (MAIL,"|$progmail");
	print MAIL "To: $em\n";
	print MAIL "From: $email ($owntitle)\n";
	print MAIL "Subject: Invoice #$cpid\n\n";
	eval $invoice;
	print MAIL "\n.\n";
	close (MAIL);
	open (MAIL,"|$progmail");
	print MAIL "To: $email\n";
	print MAIL "From: $email ($owntitle)\n";
	print MAIL "Subject: Invoice #$cpid (copy)\n\n";
	eval $invoice;
	print MAIL "\n.\n";
	close (MAIL);
	$sucmess="Coupon was added successfully. Invoice has been sent to your email box. Your coupon will be approved right after payment. Please upload your graphic coupon now (only gif or jpg).";
}
else
{
	$sucmess="Coupon was added successfully. Please wait while admin approve it. Please upload your graphic coupon now (only gif or jpg).";
}
$sth=$dbh->query("LOCK TABLES cw_settings READ") if ($locktables);
$sth=$dbh->query("SELECT header,footer FROM cw_settings");
($header,$footer)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES cw_categories READ") if ($locktables);
$sth=$dbh->query("SELECT category FROM cw_categories WHERE caid=$data{category}");
$catname=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES cw_agencies READ") if ($locktables);
$sth=$dbh->query("SELECT agency FROM cw_agencies WHERE aid=$aid");
$adagency=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$header=~s/APOSTROPHH/'/g;
$adagency=~s/APOSTROPHH/'/g;
$catname=~s/APOSTROPHH/'/g;
$footer=~s/APOSTROPHH/'/g;
open (MAIL,"|$progmail");
print MAIL "To: $email\n";
print MAIL "From: $email ($owntitle)\n";
print MAIL "Subject: New coupon was added - confirmation required\n\n";
print MAIL $header;
print MAIL "New coupon was added to $catname category.\n";
print MAIL "Advertising Agency: $adagency\n";
print MAIL "Company: $company\n";
print MAIL "Title: $data{title}\n\n";
print MAIL "Invoice#: $cpid\n";
print MAIL "Please confirm or reject this coupon from admin section\n";
print MAIL $footer;
print MAIL "\n.\n";
close (MAIL);
$data{category}=$data{company}=$data{title}=$data{cwidth}=$data{cheight}=$data{smonth}=$data{syear}=$data{sdate}=$data{emonth}=$data{eyear}=$data{edate}=$data{quantity}=$data{limits}=$data{desc}="";
$error="<tr><td valign=top><font size=2 color=white><b>SUCCESS:</b></font></td><td><font size=2 color=white>$sucmess</font></td></tr>" if ($sucmess);
&closedb;
&methods;
if ($usecm)
{
$cmline=qq~<tr><td width="580">
<font size=3 color="#105A31"><b>CREATE COUPON ONLINE</b></font>
<form action="$cgi/cwcmaker.pl" method="post">
<input type="hidden" name="cpid" value="$cpid"><input type="hidden" name="name" value="$data{name}"><input type="hidden" name="password" value="$data{password}">
<table border="0" width="100%" cellpadding="0" bgcolor="#105A31">
<tr><td colspan=2 align="right"><input type="submit" value="Go to Coupon Maker"></td></tr>
</table></form>
</td></tr>
~;
}
open (F,"<$cwpath/template/upload.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub man_coupon
{
$selected{man_coupon}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT cid,company FROM cw_companies WHERE aid=$aid ORDER BY company");
while(($cid,$company)=$sth->fetchrow)
{
	$company=~s/APOSTROPHH/'/g;
	if ($cid==$data{cid})
	{
		$companies.="<option value=\"$cid\" selected>$company</option>\n";
	}
	else
	{
		$companies.="<option value=\"$cid\">$company</option>\n";
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
open (F,"<$cwpath/template/mancoupon1.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub man_coupon_a
{
if ($data{cid})
{
$selected{man_coupon}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($company)
{
	$error="Access denied. Company record belong to other agency";
	&man_coupon;
}
$company=~s/APOSTROPHH/'/g;
&closedb;
&methods;
if ($payperday)
{
$types=qq~<option value="all">All coupons</option>
<option value="paid">Paid coupons</option>
<option value="unpaid">Unpaid coupons</option>
<option value="active">Active coupons</option>
<option value="future">Future coupons</option>
<option value="old">Old coupons</option>
~;
}
else
{
$types=qq~<option value="all">All coupons</option>
<option value="paid">Approved coupons</option>
<option value="unpaid">Not approved coupons</option>
<option value="active">Active coupons</option>
<option value="future">Future coupons</option>
<option value="old">Old coupons</option>
~;
}
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
open (F,"<$cwpath/template/mancoupon2.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
else
{
	$error="Please, choose company first";
	&man_coupon;
}
}
sub man_coupon_b
{
if ($data{cid})
{
$selected{man_coupon}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($company)
{
	$error="Access denied. Company record belong to other agency";
	&man_coupon;
}
$company=~s/APOSTROPHH/'/g;
$header=qq~<tr><td width="40%"><b><font size=2 color=white>TITLE</font></b></td><td width="20%"><b><font size=2 color=white>EDIT</font></b></td><td width="20%"><b><font size=2 color=white>DELETE</font></b></td><td width="20%"><b><font size=2 color=white>STATS</font></b></td></tr>~;
if ($data{type} eq "all")
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT cpid,title FROM cw_coupons WHERE cid=$data{cid} ORDER BY title");
	while (($cpid,$title)=$sth->fetchrow)
	{
		$title=~s/APOSTROPHH/'/g;
		$res.=qq~<tr><td><a href="javascript:OpWin('$cpid')"><font size=2 color=white>$title</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=edit_coupon"><font size=2 color=white>Edit</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=delete_coupon"><font size=2 color=white>Delete</font></a></td><td><a href="$cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid" target="_blank"><font size=2 color=white>Stats</font></a></td></tr>\n~;
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "paid")
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT cpid,title FROM cw_coupons WHERE (cid=$data{cid} AND paysts=1) ORDER BY title");
	while (($cpid,$title)=$sth->fetchrow)
	{
		$title=~s/APOSTROPHH/'/g;
		$res.=qq~<tr><td><a href="javascript:OpWin('$cpid')"><font size=2 color=white>$title</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=edit_coupon"><font size=2 color=white>Edit</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=delete_coupon"><font size=2 color=white>Delete</font></a></td><td><a href="$cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid" target="_blank"><font size=2 color=white>Stats</font></a></td></tr>\n~;
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "unpaid")
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT cpid,title FROM cw_coupons WHERE (cid=$data{cid} AND paysts=0) ORDER BY title");
	while (($cpid,$title)=$sth->fetchrow)
	{
		$title=~s/APOSTROPHH/'/g;
		if ($payperday)
		{
			if ($ccpayment && $cclib ne 'paypal')
			{
				$header=qq~<tr><td width="40%"><b><font size=2 color=white>TITLE</font></b></td><td width="12%"><b><font size=2 color=white>EDIT</font></b></td><td width="12%"><b><font size=2 color=white>DELETE</font></b></td><td width="12%"><b><font size=2 color=white>STATS</font></b></td><td width="12%"><b><font size=2 color=white>REISSUE INVOICE</font></b></td><td width="12%"><b><font size=2 color=white>PAY BY CC</font></b></td></tr>~;
				$res.=qq~<tr><td><a href="javascript:OpWin('$cpid')"><font size=2 color=white>$title</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=edit_coupon"><font size=2 color=white>Edit</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=delete_coupon"><font size=2 color=white>Delete</font></a></td><td><a href="$cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid" target="_blank"><font size=2 color=white>Stats</font></a><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=invoice"><font size=2 color=white>Reissue invoice</font></a></td></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=ccpayment" target="_blank"><font size=2 color=white>Pay by cc</font></a></td></tr>\n~;
			}
			elsif ($ccpayment && $cclib eq 'paypal')
			{
				$header=qq~<tr><td width="40%"><b><font size=2 color=white>TITLE</font></b></td><td width="12%"><b><font size=2 color=white>EDIT</font></b></td><td width="12%"><b><font size=2 color=white>DELETE</font></b></td><td width="12%"><b><font size=2 color=white>STATS</font></b></td><td width="12%"><b><font size=2 color=white>REISSUE INVOICE</font></b></td><td width="12%"><b><font size=2 color=white>PAY BY PAYPAL</font></b></td></tr>~;
				$res.=qq~<tr><td><a href="javascript:OpWin('$cpid')"><font size=2 color=white>$title</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=edit_coupon"><font size=2 color=white>Edit</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=delete_coupon"><font size=2 color=white>Delete</font></a></td><td><a href="$cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid" target="_blank"><font size=2 color=white>Stats</font></a><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=invoice"><font size=2 color=white>Reissue invoice</font></a></td></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=ccpayment" target="_blank"><font size=2 color=white>Pay by Paypal</font></a></td></tr>\n~;
			}
			else
			{
				$header=qq~<tr><td width="40%"><b><font size=2 color=white>TITLE</font></b></td><td width="15%"><b><font size=2 color=white>EDIT</font></b></td><td width="15%"><b><font size=2 color=white>DELETE</font></b></td><td width="15%"><b><font size=2 color=white>STATS</font></b></td><td width="15%"><b><font size=2 color=white>REISSUE INVOICE</font></b></td></tr>~;
				$res.=qq~<tr><td><a href="javascript:OpWin('$cpid')"><font size=2 color=white>$title</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=edit_coupon"><font size=2 color=white>Edit</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=delete_coupon"><font size=2 color=white>Delete</font></a></td><td><a href="$cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid" target="_blank"><font size=2 color=white>Stats</font></a><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=invoice"><font size=2 color=white>Reissue invoice</font></a></td></td></tr>\n~;
			}
		}
		else
		{
			$res.=qq~<tr><td><a href="javascript:OpWin('$cpid')"><font size=2 color=white>$title</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=edit_coupon"><font size=2 color=white>Edit</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=delete_coupon"><font size=2 color=white>Delete</font></a></td><td><a href="$cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid" target="_blank"><font size=2 color=white>Stats</font></a><td></tr>\n~;
		}
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "active")
{
	($day,$month,$date,$time,$year)=split(" ",scalar localtime);	
	$month=$cal{$month};
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT cpid,title FROM cw_coupons WHERE (cid=$data{cid} AND sdate<='$year-$month-$date' AND edate>='$year-$month-$date') ORDER BY title");
	while (($cpid,$title)=$sth->fetchrow)
	{
		$title=~s/APOSTROPHH/'/g;
		$res.=qq~<tr><td><a href="javascript:OpWin('$cpid')"><font size=2 color=white>$title</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=edit_coupon"><font size=2 color=white>Edit</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=delete_coupon"><font size=2 color=white>Delete</font></a></td><td><a href="$cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid" target="_blank"><font size=2 color=white>Stats</font></a></td></tr>\n~;
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "future")
{
	($day,$month,$date,$time,$year)=split(" ",scalar localtime);	
	$month=$cal{$month};
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT cpid,title FROM cw_coupons WHERE (cid=$data{cid} AND sdate>'$year-$month-$date') ORDER BY title");
	while (($cpid,$title)=$sth->fetchrow)
	{
		$title=~s/APOSTROPHH/'/g;
		$res.=qq~<tr><td><a href="javascript:OpWin('$cpid')"><font size=2 color=white>$title</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=edit_coupon"><font size=2 color=white>Edit</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=delete_coupon"><font size=2 color=white>Delete</font></a></td><td><a href="$cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid" target="_blank"><font size=2 color=white>Stats</font></a></td></tr>\n~;
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "old")
{
	($day,$month,$date,$time,$year)=split(" ",scalar localtime);	
	$month=$cal{$month};
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT cpid,title FROM cw_coupons WHERE (cid=$data{cid} AND edate<'$year-$month-$date') ORDER BY title");
	while (($cpid,$title)=$sth->fetchrow)
	{
		$title=~s/APOSTROPHH/'/g;
		$res.=qq~<tr><td><a href="javascript:OpWin('$cpid')"><font size=2 color=white>$title</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=edit_coupon"><font size=2 color=white>Edit</font></a></td><td><a href="$cgi/cwmember.pl?name=$data{name}&password=$data{password}&cid=$data{cid}&cpid=$cpid&type=$data{type}&method=delete_coupon"><font size=2 color=white>Delete</font></a></td><td><a href="$cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid" target="_blank"><font size=2 color=white>Stats</font></a></td></tr>\n~;
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
else
{
	$error="Unknown coupon type.";
	&man_coupon_a;
}
&closedb;
&methods;
$typo=$data{type};
$selectede{$typo}="selected";
if ($payperday)
{
$types=qq~<option value="all" $selectede{'all'}>All coupons</option>
<option value="paid" $selectede{'paid'}>Paid coupons</option>
<option value="unpaid" $selectede{'unpaid'}>Unpaid coupons</option>
<option value="active" $selectede{'active'}>Active coupons</option>
<option value="future" $selectede{'future'}>Future coupons</option>
<option value="old" $selectede{'old'}>Old coupons</option>
~;
}
else
{
$types=qq~<option value="all" $selectede{'all'}>All coupons</option>
<option value="paid" $selectede{'paid'}>Approved coupons</option>
<option value="unpaid" $selectede{'unpaid'}>Not approved coupons</option>
<option value="active" $selectede{'active'}>Active coupons</option>
<option value="future" $selectede{'future'}>Future coupons</option>
<option value="old" $selectede{'old'}>Old coupons</option>
~;
}
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
$error="<tr><td valign=top><font size=2 color=white><b>SUCCESS:</b></font></td><td><font size=2 color=white>$sucmess</font></td></tr>" if ($sucmess);
open (F,"<$cwpath/template/mancoupon3.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
else
{
	$error="Please, choose company first";
	&man_coupon;
}
}
sub coupon_info
{
if ($data{cid} && $data{cpid})
{
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($company)
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT caid,title,limits,qty,taken,width,height,sdate,edate,descr FROM cw_coupons WHERE (cid=$data{cid} AND cpid=$data{cpid})");
	($caid,$title,$limits,$qty,$taken,$width,$height,$sdate,$edate,$descr)=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	if ($caid)
	{
		$sth=$dbh->query("LOCK TABLES cw_categories READ") if ($locktables);
		$sth=$dbh->query("SELECT category FROM cw_categories WHERE caid=$caid");
		$category=$sth->fetchrow;
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		$category=~s/APOSTROPHH/'/g;
		$title=~s/APOSTROPHH/'/g;
		$descr=~s/APOSTROPHH/'/g;
		$descr=~s/\n/<br>/g;
		$sdate=~s/(\d+)-(\d+)-(\d+)/$3-$2-$1/;
		$edate=~s/(\d+)-(\d+)-(\d+)/$3-$2-$1/;
		if ($payperday)
		{
			$res="<b>Invoice #:</b> $data{cpid}<br>\n";
		}
		else
		{
			$res="<b>Coupon ID:</b> $data{cpid}<br>\n";
		}
		$res.="<b>Category:</b> $category<br>\n<b>Title:</b> $title<br>\n<b>Limits:</b> $limits<br>\n<b>Start date:</b> $sdate<br>\n<b>End date:</b> $edate<br>\n<b>Quantity:</b> $qty<br>\n<b>Taken:</b> $taken<br>\n<b>Description:</b><br>$descr\n";
	}
	else
	{
		$res="You are not allowed to view this resource";
	}
}
else
{
	$res="Access denied. Company record belong to other agency";
}
}
else
{
	$res="Access denied. Unknown company or coupon ID.";
}
&closedb;
&methods;
open (F,"<$cwpath/template/couponinfo.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub edit_coupon
{
if ($data{cid} && $data{cpid})
{
$selected{man_coupon}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($company)
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT caid,title,limits,qty,width,height,descr FROM cw_coupons WHERE (cid=$data{cid} AND cpid=$data{cpid})");
	($cauid,$title,$limits,$qty,$width,$height,$descr)=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	if ($cauid)
	{
		$sth=$dbh->query("LOCK TABLES cw_categories READ") if ($locktables);
		$sth=$dbh->query("SELECT * FROM cw_categories ORDER BY category");
		while(($caid,$category)=$sth->fetchrow)
		{
			$category=~s/APOSTROPHH/'/g;
			if ($caid==$cauid){$categories.="<option value=\"$caid\" selected>$category</option>\n";}
			else{$categories.="<option value=\"$caid\">$category</option>\n";}
		}
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		$title=~s/APOSTROPHH/'/g;
		$descr=~s/APOSTROPHH/'/g;
	}
	else
	{
		$error="Access denied. You are not allowed to edit this resource";
		&man_coupon_b;
	}
}
else
{
	$error="Access denied. Company record belong to other agency";
	&man_coupon_b;
}
}
else
{
	$error="Access denied. Unknown company or coupon ID.";
	&man_coupon_b;
}
&closedb;
&methods;
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
open (F,"<$cwpath/template/editcoupon.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub edit_coupon_c
{
if ($data{cid} && $data{cpid})
{
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($company)
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT caid FROM cw_coupons WHERE (cid=$data{cid} AND cpid=$data{cpid})");
	$cauid=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	if ($cauid)
	{
		$data{desc}=~s/\r//g;
		$data{cwidth}=~s/\D+//g;
		$data{cheight}=~s/\D+//g;
		$data{quantity}=~s/\D+//g;
		$data{category}=~s/\D+//g;
		if (!$data{category})
		{
			$error.="No category choosen<br>";
			$errflag=1;
		}
		if (!$data{title})
		{
			$error.="Title field cant be empty<br>";
			$errflag=1;
		}
		if (!$data{cwidth} || $data{cwidth}<10 || $data{cwidth}>1000)
		{
			$error.="Illegal value for coupon width<br>";
			$errflag=1;
		}
		if (!$data{cheight} || $data{cheight}<10 || $data{cheight}>1000)
		{
			$error.="Illegal value for coupon height<br>";
			$errflag=1;
		}
		if (!$data{quantity} || $data{quantity}<0 || $data{quantity}>99999999)
		{
			$error.="Illegal value for quantity (value should be from 0 to 99999999)<br>";
			$errflag=1;
		}
		&edit_coupon if ($errflag);
		$data{title}=~s/'/APOSTROPHH/g;
		$data{desc}=~s/'/APOSTROPHH/g;
		$data{limits}=~s/'/APOSTROPHH/g;
		$sth=$dbh->query("LOCK TABLES cw_coupons WRITE") if ($locktables);
		$sth=$dbh->query("UPDATE cw_coupons SET caid=$data{category},title='$data{title}',limits='$data{limits}',qty=$data{quantity},width=$data{cwidth},height=$data{cheight},descr='$data{desc}' WHERE (cid=$data{cid} AND cpid=$data{cpid})");
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		$sucmess="Coupon information updated successfully";
		&man_coupon_b;
	}
	else
	{
		$error="Access denied. You are not allowed to edit this resource";
		&man_coupon_b;
	}
}
else
{
	$error="Access denied. Company record belong to other agency";
	&man_coupon_b;
}
}
else
{
	$error="Access denied. Unknown company or coupon ID.";
	&man_coupon_b;
}
&man_coupon_b;
}
sub delete_coupon
{
if ($data{cid} && $data{cpid})
{
$selected{man_coupon}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($company)
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT caid FROM cw_coupons WHERE (cid=$data{cid} AND cpid=$data{cpid})");
	$cauid=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	if ($cauid)
	{
		&closedb;
		&methods;
		$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
		open (F,"<$cwpath/template/deletecoupon.tpl");
		@htmlpage=<F>;
		close (F);
		$htmlpage=join("",@htmlpage);
		$htmlpage="print qq~$htmlpage~;";
		print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
		print "content-type: text/html\n\n";
		eval $htmlpage;
		exit;
	}
	else
	{
		$error="Access denied. You are not allowed to delete this resource";
		&man_coupon_b;
	}
}
else
{
	$error="Access denied. Company record belong to other agency";
	&man_coupon_b;
}
}
else
{
	$error="Access denied. Unknown company or coupon ID.";
	&man_coupon_b;
}
&man_coupon_b;
}
sub delete_coupon_c
{
if ($data{cid} && $data{cpid})
{
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($company)
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT caid FROM cw_coupons WHERE (cid=$data{cid} AND cpid=$data{cpid})");
	$cauid=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	if ($cauid)
	{
		$sth=$dbh->query("LOCK TABLES cw_coupons WRITE") if ($locktables);
		$sth=$dbh->query("DELETE FROM cw_coupons WHERE (cid=$data{cid} AND cpid=$data{cpid})");
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		$sth=$dbh->query("LOCK TABLES cw_stats WRITE,cw_books WRITE") if ($locktables);
		$sth=$dbh->query("DELETE FROM cw_stats WHERE cpid=$data{cpid}");
		$sth=$dbh->query("DELETE FROM cw_books WHERE cpid=$data{cpid}");
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		unlink("$cwpath/coupons/$data{cpid}.jpg");
		unlink("$cwpath/coupons/$data{cpid}.gif");
		$sucmess="Coupon was removed successfully";
		&man_coupon_b;
	}
	else
	{
		$error="Access denied. You are not allowed to delete this resource";
		&man_coupon_b;
	}
}
else
{
	$error="Access denied. Company record belong to other agency";
	&man_coupon_b;
}
}
else
{
	$error="Access denied. Unknown company or coupon ID.";
	&man_coupon_b;
}
&man_coupon_b;
}
sub invoice
{
if ($data{cid} && $data{cpid})
{
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$company=~s/APOSTROPHH/'/g;
if ($company)
{
	$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
	$sth=$dbh->query("SELECT caid,edate,sdate FROM cw_coupons WHERE (cid=$data{cid} AND cpid=$data{cpid})");
	($cauid,$edate,$sdate)=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	if ($cauid)
	{
		($data{syear},$data{smonth},$data{sdate})=split("-",$sdate);
		($data{eyear},$data{emonth},$data{edate})=split("-",$edate);
		$cpid=$data{cpid};
		$payment=(timelocal(0,0,0,$data{edate},$data{emonth}-1,$data{eyear})-timelocal(0,0,0,$data{sdate},$data{smonth}-1,$data{syear}))/86400*$realpayperday+$realpayperday;
		$payment=sprintf("%.2f",$payment);
		$taxpay=$payment/100*$tax;
		$taxpay=sprintf("%.2f",$taxpay);
		$total=$payment+$taxpay;
		$total=sprintf("%.2f",$total);
		$sth=$dbh->query("LOCK TABLES cw_settings READ") if ($locktables);
		$sth=$dbh->query("SELECT invoice FROM cw_settings");
		$invoice=$sth->fetchrow;
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		$invoice=~s/APOSTROPHH/'/g;
		$invoice="print MAIL qq~$invoice~;";
		$sth=$dbh->query("LOCK TABLES cw_agencies READ,cw_countries READ") if ($locktables);
		$sth=$dbh->query("SELECT email,agency,address,city,zip,state,cw_countries.country FROM cw_agencies,cw_countries WHERE (aid=$aid AND cw_agencies.country=cw_countries.coid)");
		($em,$adagency,$adaddress,$adcity,$adzip,$adstate,$adcountry)=$sth->fetchrow;
		$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
		$adagency=~s/APOSTROPHH/'/g;
		$adaddress=~s/APOSTROPHH/'/g;
		open (MAIL,"|$progmail");
		print MAIL "To: $em\n";
		print MAIL "From: $email ($owntitle)\n";
		print MAIL "Subject: Invoice #$cpid\n\n";
		eval $invoice;
		print MAIL "\n.\n";
		close (MAIL);
		$sucmess="Invoice has been sent to your email address";
		&man_coupon_b;
	}
	else
	{
		$error="Access denied. You are not allowed to use this resource";
		&man_coupon_b;
	}
}
else
{
	$error="Access denied. Company record belong to other agency";
	&man_coupon_b;
}
}
else
{
	$error="Access denied. Unknown company or coupon ID.";
	&man_coupon_b;
}
&man_coupon_b;
}
sub reupload_graphic
{
$selected{reupload_graphic}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT cid,company FROM cw_companies WHERE aid=$aid ORDER BY company");
while(($cid,$company)=$sth->fetchrow)
{
	$company=~s/APOSTROPHH/'/g;
	if ($cid==$data{cid})
	{
		$companies.="<option value=\"$cid\" selected>$company</option>\n";
	}
	else
	{
		$companies.="<option value=\"$cid\">$company</option>\n";
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
open (F,"<$cwpath/template/regraphics1.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub reupload_graphic_a
{
if ($data{cid})
{
$selected{reupload_graphic}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($company)
{
	$error="Access denied. Company record belong to other agency";
	&reupload_graphic;
}
$company=~s/APOSTROPHH/'/g;
$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
$sth=$dbh->query("SELECT cpid,title FROM cw_coupons WHERE cid=$data{cid}");
while(($cpid,$title)=$sth->fetchrow)
{
	$title=~s/APOSTROPHH/'/g;
	if ($cpid==$data{cpid})
	{
		$coupons.="<option value=\"$cpid\" selected>$title</option>\n";
	}
	else
	{
		$coupons.="<option value=\"$cpid\">$title</option>\n";
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
open (F,"<$cwpath/template/regraphics2.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
else
{
	$error="Please, choose company first";
	&reupload_graphic;
}
}
sub reupload_graphic_b
{
if ($data{cid} && $data{cpid})
{
$selected{reupload_graphic}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($company)
{
	$error="Access denied. Company record belong to other agency";
	&reupload_graphic;
}
$company=~s/APOSTROPHH/'/g;
$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
$sth=$dbh->query("SELECT title FROM cw_coupons WHERE (cpid=$data{cpid} AND cid=$data{cid})");
$title=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($title)
{
	$error="Access denied. You cant upload this resource.";
	&reupload_graphic_a;
}
$title=~s/APOSTROPHH/'/g;
&closedb;
&methods;
$typo=$data{type};
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
$error="<tr><td valign=top><font size=2 color=white><b>SUCCESS:</b></font></td><td><font size=2 color=white>$sucmess</font></td></tr>" if ($sucmess);
if ($usecm)
{
$cmline=qq~<tr><td width="580">
<font size=3 color="#105A31"><b>RECREATE GRAPHICS</b></font>
<form action="$cgi/cwcmaker.pl" method="post">
<input type="hidden" name="cpid" value="$data{cpid}"><input type="hidden" name="name" value="$data{name}"><input type="hidden" name="password" value="$data{password}">
<table border="0" width="100%" cellpadding="0" bgcolor="#105A31">
<tr><td colspan=2 align="right"><input type="submit" value="Go to Coupon Maker"></td></tr>
</table></form>
</td></tr>
~;
}
open (F,"<$cwpath/template/regraphics3.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
else
{
	$error="Please, choose company first";
	&reupload_graphic;
}
}
sub advert
{
$selected{advert}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT cid,company FROM cw_companies WHERE aid=$aid ORDER BY company");
while(($cid,$company)=$sth->fetchrow)
{
	$company=~s/APOSTROPHH/'/g;
	if ($cid==$data{cid})
	{
		$companies.="<option value=\"$cid\" selected>$company</option>\n";
	}
	else
	{
		$companies.="<option value=\"$cid\">$company</option>\n";
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
$error="<tr><td valign=top><font size=2 color=white><b>ERROR:</b></font></td><td><font size=2 color=white>$error</font></td></tr>" if ($error);
open (F,"<$cwpath/template/advert1.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub advert_a
{
if ($data{cid})
{
$selected{advert}="selected";
$sth=$dbh->query("LOCK TABLES cw_companies READ") if ($locktables);
$sth=$dbh->query("SELECT company FROM cw_companies WHERE (aid=$aid AND cid=$data{cid})");
$company=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($company)
{
	$error="Access denied. Company record belong to other agency";
	&advert;
}
$company=~s/APOSTROPHH/'/g;
$sth=$dbh->query("LOCK TABLES cw_coupons READ") if ($locktables);
$sth=$dbh->query("SELECT cpid,title,qty FROM cw_coupons WHERE cid=$data{cid} ORDER BY title");
while (($cpid,$title,$qty)=$sth->fetchrow)
{
	$title=~s/APOSTROPHH/'/g;
	$res.=qq~<tr><td bgcolor=yellow><font size=2 color=black>$title</font></td></tr><tr><td><font size=2 color=white><b>URL to check stats:</b> $cgi/cwstats.pl?cid=$data{cid}&cpid=$cpid<br><b>CCN# range:</b> from $cpid-1 to $cpid-$qty</font></td></tr>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$cwpath/template/advert2.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
else
{
	$error="Please, choose company first";
	&advert;
}
}
sub closedb
{
$sth="";
$dbh="";
}
sub methods
{
$methods=qq~
<option value="geninfo" $selected{geninfo}>General Information</option>
<option value="company" $selected{company}>Companies</option>
<option value="add_coupon" $selected{add_coupon}>Add new coupon</option>
<option value="man_coupon" $selected{man_coupon}>Manage coupons</option>
<option value="reupload_graphic" $selected{reupload_graphic}>Reupload graphics</option>
<option value="advert" $selected{advert}>Info for advertisers</option>
~;
}
